宝塔双12活动,永久授权券后价1088元起,仅限12月12日当天
当前位置:论坛首页 > Linux面板 > Linux面板教程

从5.9平滑升级到6.x

发表在 Linux面板2018-11-21 16:15   [复制链接] 151 92546

发表于 2019-10-19 10:45:04 | 显示全部楼层
本帖最后由 1501867045noqo 于 2019-10-19 11:10 编辑

树莓派 Raspbian GNU/Linux 9 升级报错

日志贴上来提示 抱歉,您填写的内容包含不良信息而无法提交 ,base64 编码后提交也不行。。。。。。。。。。。。

复制到 txt 然后 .txt 文件结尾不允许上传。。。


  1. raceback (most recent call last):
  2.   File "/usr/bin/pip", line 9, in <module>
  3.     from pip import main
  4. ImportError: cannot import name main
  5. Traceback (most recent call last):
  6.   File "/usr/bin/pip", line 9, in <module>
  7.     from pip import main
  8. ImportError: cannot import name main
复制代码



python 依赖问题。。。
这么搞了一下后,开始升级过程了,目前还在升级中,python 的报错好了
  1. root@raspberrypi:/home/pi# nano /usr/bin/pip
  2. root@raspberrypi:/home/pi# nano /usr/local/bin/pip
  3. root@raspberrypi:/home/pi# cp /usr/bin/pip /usr/bin/pip.bak
  4. root@raspberrypi:/home/pi# cp /usr/local/bin/pip /usr/bin/pip
复制代码

啊哈哈,树莓派 Raspbian GNU/Linux 9 也可以咯
  1. =====================================
  2. kill: usage: kill [-s sigspec | -n signum | -sigspec] pid | jobspec ... or kill -l [sigspec]
  3. Starting Bt-Panel........        done
  4. Starting Bt-Tasks...         done
  5. 已成功升级到[6.0]
  6. 注意:如果升级后您无法访问面板,请尝试重新执行本升级命令!
复制代码


log.txt.zip

2.94 KB, 下载次数: 5

使用道具 举报 回复 支持 反对
发表于 2019-10-22 11:39:56 | 显示全部楼层
本帖最后由 水墨寒 于 2019-10-22 11:47 编辑


帮忙看一下 以下是错误信息:
QQ截图20191022113837.png

New0001.zip (1.48 KB, 下载次数: 6)
使用道具 举报 回复 支持 反对
发表于 2019-10-29 17:40:57 | 显示全部楼层
可以。。升到7了
使用道具 举报 回复 支持 反对
发表于 2019-11-9 16:14:21 | 显示全部楼层
升级失败,打不开面板 微信截图_20191109161235.png
使用道具 举报 回复 支持 反对
发表于 2019-11-21 08:55:55 | 显示全部楼层
我也进不了,请帮忙

[root@i~]# netstat -altnp | grep 9587
[root@ ~]# reboot

======================

[centos@~]$ sudo -i
[root@ ~]# netstat -altnp | grep 9587
[root@~]# tail -n 50 /www/server/panel/logs/error.log
Traceback (most recent call last):
  File "/www/server/panel/BT-Panel", line 14, in <module>
    from BTPanel import app,sys
  File "/www/server/panel/BTPanel/__init__.py", line 15, in <module>
    from flask import Flask
ImportError: No module named flask
Traceback (most recent call last):
  File "/www/server/panel/BT-Panel", line 14, in <module>
    from BTPanel import app,sys
  File "/www/server/panel/BTPanel/__init__.py", line 15, in <module>
    from flask import Flask
ImportError: No module named flask
使用道具 举报 回复 支持 反对
发表于 2019-11-21 10:15:06 | 显示全部楼层
francly 发表于 2019-11-21 08:55
我也进不了,请帮忙

[root@i~]# netstat -altnp | grep 9587

在安装一次就可以加入了,谢谢
使用道具 举报 回复 支持 反对
发表于 2019-11-26 13:32:56 | 显示全部楼层
升级是吧.png 在Ubuntu 16.04.6 执行升级,报错如上。 现在已宝塔服务器已无法启动。
使用道具 举报 回复 支持 反对
发表于 2019-11-26 13:46:03 | 显示全部楼层
宝塔用户_bwxvxr 发表于 2019-11-26 13:32
在Ubuntu 16.04.6 执行升级,报错如上。 现在已宝塔服务器已无法启动。

重新安装了一次,直接到7了
使用道具 举报 回复 支持 反对
发表于 2019-11-29 11:13:43 | 显示全部楼层

54d69ba66308818261c3f07e77d54f5.png 升级失败了,面板打不开了,麻烦工程师帮忙看看, 谢谢。
使用道具 举报 回复 支持 反对
发表于 7 天前 | 显示全部楼层
我在5.9版本上升级数据库mysql5.1 到5.7 结果出错了.然后宝塔打不开了.我用了升级命令直接到7.0.3 然后面板可以打开了.继续安装数据库.
使用道具 举报 回复 支持 反对
发表于 4 天前 | 显示全部楼层

您好,升级遇到以下问题,麻烦帮忙解决,谢谢

QQ截图20191203164847.jpg
使用道具 举报 回复 支持 反对
发表于 4 天前 | 显示全部楼层

已解决,安装下flask模块就好了
  1. pip install flask
复制代码
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表